#!/bin/sh -
#
# Copyright (c) 1997 SysMan 
#  All rights reserved.
# 
# script automake definitions for version/package_name from 
# my own format of programm headers
#  
# $Id: newvers.sh,v 0.03 2001/08/31 11:48:27 sysman Exp $
#
export MAJOR_SRC=lvwho.c
RESULT_VER=lvwho_vers.h
#
if [ ! -r ${MAJOR_SRC} ]; then 
 echo "Read of ${MAJOR_SRC} failed"
 exit 1
else
 awk 'BEGIN {IGNORECASE=1; 
printf("/*\n#  Autocreated Version header\n# \tfrom source: %s\n",
	ENVIRON["MAJOR_SRC"]);
printf("#  SysMan source projects style header \n*/\n\n");
}
 /^#.+Local Version/ { split($0,a,":"); 
	printf("#define MY_VERSION\t\"%1.2f\"\n",a[2]); }
 /^#.+Development SubVer/ { split($0,a,":");
	printf("#define MY_VER_DS\t\"%03d\"\n",a[2]++ ); }
 /^#.+Package Name/ { split($0,a,":");
	gsub("^ ","",a[2]);gsub(" $","",a[2]);
	gsub("^ ","",a[3]);gsub(" $","",a[3]);
	printf("#define MY_PACKAGE\t\"%-s\"\n",a[2] );
	printf("#define MY_PACKAGE_FULL\t\"%s\"\n",a[3] ); }
 /^#.+Daemon Name/        { split($0,a,":");gsub("^ ","",a[2]);
   printf("#define MY_DAEMON\t\"%s\"\n",a[2] ); }
 /^#.+Last changes/        { split($0,a,":");gsub("^ ","",a[2]);
	printf("#define MY_SRC_LC\t\"%s\"\n",a[2] ); }
 /^#.+Copyright/        { split($0,a,":");
	gsub("^ ","",a[2]);gsub(" $","",a[2]);
	printf("#define MY_COPYRIGHT\t\"%s\"\n",a[2] ); }
 /^#.+Author/        { split($0,a,":");
	gsub("^ ","",a[2]);gsub(" $","",a[2]);
	printf("#define MY_AUTHOR\t\"%s\"\n",a[2] ); }
 /^#.+License/        { split($0,a,":");gsub("^ ","",a[2]);
	printf("#define MY_LICENSE\t\"%s\"\n",a[2] ); }
 END {  printf("#define MY_VERSION_FULL\t MY_VERSION \" (\"MY_VER_DS\")\"\n");
	printf("#define MY_BUILD_DATE\t\"%s\"\n",strftime("%d %b %Y",systime()) );
     }' < ${MAJOR_SRC} >${RESULT_VER}
fi
